
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【转载】各种聚类算法的比较 / 憋错料</title>

    <meta name="description" content="【转载】各种聚类算法的比较 聚类的目标是使同一类对象的相似度尽可能地大:不同类对象之间的相似度尽可能地小.目前聚类的方法很多,根据基本思想的不同,大致可以将聚类算法分为五大类:层次聚类算法.分割聚类算法.基于约束的聚类算法.机器学习中的聚类算法和用于高维度的聚类算法.摘自 数据挖掘中的聚类分析研究综述 这篇论文. 1.层次聚类算法 1.1聚合聚类 1.1.1相似度依据距离不同:Single-Link:最近距离.Complete-Link:最远距离.Average-Link:平均距离 1.1.2最具代表性算法 1)CURE算">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">【转载】各种聚类算法的比较</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>聚类的目标是使同一类对象的相似度尽可能地大；不同类对象之间的相似度尽可能地小。目前聚类的方法很多，根据基本思想的不同，大致可以将聚类算法分为五大类：层次聚类算法、分割聚类算法、基于约束的聚类算法、机器学习中的聚类算法和用于高维度的聚类算法。摘自 数据挖掘中的聚类分析研究综述 这篇论文。</h1>
<h2>1、层次聚类算法</h2>
<h3>1.1聚合聚类</h3>
<h3>1.1.1相似度依据距离不同：Single-Link:最近距离、Complete-Link：最远距离、Average-Link：平均距离</h3>
<h4>1.1.2最具代表性算法</h4>
<p>1）CURE算法</p>
<p>特点：固定数目有代表性的点共同代表类</p>
<p>优点：识别形状复杂，大小不一的聚类，过滤孤立点</p>
<p>2）ROCK算法</p>
<p>特点：对CURE算法的改进</p>
<p>优点：同上，并适用于类别属性的数据</p>
<p>3）CHAMELEON算法</p>
<p>特点：利用了动态建模技术</p>
<h3>1.2分解聚类</h3>
<h3>1.3优缺点</h3>
<p>优点：适用于任意形状和任意属性的数据集；灵活控制不同层次的聚类粒度，强聚类能力</p>
<p>缺点：大大延长了算法的执行时间，不能回溯处理</p>
<p>2、分割聚类算法</p>
<h3>2.1基于密度的聚类</h3>
<h4>2.1.1特点</h4>
<p>将密度足够大的相邻区域连接，能有效处理异常数据，主要用于对空间数据的聚类</p>
<h4>2.1.2典型算法</h4>
<p>1）DBSCAN：不断生长足够高密度的区域</p>
<p>2）DENCLUE：根据数据点在属性空间中的密度进行聚类，密度和网格与处理的结合</p>
<p>3）OPTICS、DBCLASD、CURD：均针对数据在空间中呈现的不同密度分不对DBSCAN作了改进</p>
<h3>2.2基于网格的聚类</h3>
<h3>2.2.1特点</h3>
<p>利用属性空间的多维网格数据结构，将空间划分为有限数目的单元以构成网格结构；</p>
<p><strong>1</strong><strong>）优点：</strong>处理时间与数据对象的数目无关，与数据的输入顺序无关，可以处理任意类型的数据</p>
<p><strong>2</strong><strong>）缺点：</strong>处理时间与每维空间所划分的单元数相关，一定程度上降低了聚类的质量和准确性</p>
<h3>2.2.2典型算法</h3>
<p>1）STING：基于网格多分辨率，将空间划分为方形单元，对应不同分辨率</p>
<p>2）STING+：改进STING，用于处理动态进化的空间数据</p>
<p>3）ＣＬＩＱＵＥ：结合网格和密度聚类的思想，能处理大规模高维度数据</p>
<p>4）WaveCluster：以信号处理思想为基础</p>
<h3>2.3基于图论的聚类</h3>
<h4>2.3.1特点</h4>
<p>转换为组合优化问题，并利用图论和相关启发式算法来解决，构造数据集的最小生成数，再逐步删除最长边</p>
<p>1）优点：不需要进行相似度的计算</p>
<h4>2.3.2两个主要的应用形式</h4>
<p>1）基于超图的划分</p>
<p>2）基于光谱的图划分</p>
<h3>2.4基于平方误差的迭代重分配聚类</h3>
<h4>2.4.1思想</h4>
<p>逐步对聚类结果进行优化、不断将目标数据集向各个聚类中心进行重新分配以获最优解</p>
<h4>2.4.2具体算法</h4>
<p><strong>1</strong><strong>）概率聚类算法</strong></p>
<p>期望最大化、能够处理异构数据、能够处理具有复杂结构的记录、能够连续处理成批的数据、具有在线处理能力、产生的聚类结果易于解释</p>
<p><strong>2</strong><strong>）最近邻聚类算法&mdash;&mdash;共享最近邻算法</strong><strong>SNN</strong></p>
<p>特点：结合基于密度方法和ROCK思想，保留K最近邻简化相似矩阵和个数</p>
<p>不足：时间复杂度提高到了O(N^2)</p>
<p><strong>3</strong><strong>）</strong><strong>K-Medioids</strong><strong>算法</strong></p>
<p>特点：用类中的某个点来代表该聚类</p>
<p>优点：能处理任意类型的属性；对异常数据不敏感</p>
<p><strong>4</strong><strong>）</strong><strong>K-Means</strong><strong>算法</strong></p>
<p><strong>1》</strong><strong>特点</strong>：聚类中心用各类别中所有数据的平均值表示</p>
<p><strong>2》</strong><strong>原始</strong><strong>K-Means</strong><strong>算法的缺陷</strong>：结果好坏依赖于对初始聚类中心的选择、容易陷入局部最优解、对K值的选择没有准则可依循、对异常数据较为敏感、只能处理数值属性的数据、聚类结构可能不平衡</p>
<p><strong>3》</strong><strong>K-Means</strong><strong>的变体</strong></p>
<p>Bradley和Fayyad等：降低对中心的依赖，能适用于大规模数据集</p>
<p>Dhillon等：调整迭代过程中重新计算中心方法，提高性能</p>
<p>Zhang等：权值软分配调整迭代优化过程</p>
<p>Sarafis：将遗传算法应用于目标函数构建中</p>
<p>Berkh in等：应用扩展到了分布式聚类</p>
<p>还有：采用图论的划分思想，平衡聚类结果，将原始算法中的目标函数对应于一个各向同性的高斯混合模型</p>
<p><strong>5</strong><strong>）优缺点</strong></p>
<p>优点：应用最为广泛；收敛速度快；能扩展以用于大规模的数据集</p>
<p>缺点：倾向于识别凸形分布、大小相近、密度相近的聚类；中心选择和噪声聚类对结果影响大</p>
<h2>3、基于约束的聚类算法</h2>
<h3>3.1约束</h3>
<p>对个体对象的约束、对聚类参数的约束；均来自相关领域的经验知识</p>
<h3>3.2重要应用</h3>
<p>对存在障碍数据的二维空间按数据进行聚类<a>,</a>如COD(Clustering with Obstructed Distance)：用两点之间的障碍距离取代了一般的欧式距离</p>
<h3>3.3不足</h3>
<p>通常只能处理特定应用领域中的特定需求</p>
<h2>4、用于高维数据的聚类算法</h2>
<h3>4.1困难来源因素</h3>
<p>1）无关属性的出现使数据失去了聚类的趋势</p>
<p>2)区分界限变得模糊</p>
<h3>4.2解决方法</h3>
<p>1)对原始数据降维</p>
<p>2)子空间聚类</p>
<p>CACTUS：对原始空间在二维平面上的投影</p>
<p>CLIQUE：结合基于密度和网格的聚类思想，借鉴Apriori算法</p>
<p>3)联合聚类技术</p>
<p>特点：对数据点和属性同时进行聚类</p>
<p>文本：基于双向划分图及其最小分割的代数学方法</p>
<p>4.3不足：不可避免地带来了原始数据信息的损失和聚类准确性的降低</p>
<h2>5、机器学习中的聚类算法</h2>
<h3>5.1两个方法</h3>
<p><strong>1)</strong><strong>人工神经网络方法</strong></p>
<p>自组织映射：向量化方法，递增逐一处理；映射至二维平面，实现可视化</p>
<p>基于投影自适应谐振理论的人工神经网络聚类</p>
<p><strong>2)</strong><strong>基于进化理论的方法</strong></p>
<p>缺陷：依赖于一些经验参数的选取，并具有较高的计算复杂度</p>
<p>模拟退火：微扰因子；遗传算法（选择、交叉、变异）</p>
<h3>5.2优缺点</h3>
<p>优点：利用相应的启发式算法获得较高质量的聚类结果</p>
<p>缺点：计算复杂度较高，结果依赖于对某些经验参数的选择</p>
<p>下面附上个人对聚类算法的选择及比较的理解：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nOC5waC4xMjYubmV0L21JY0hQWVYyWjI4N20tMzVuQnhfcHc9PS81NjQwNzU4NTMzNDU4ODI0NDguanBn.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 22:24:30 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>【转载】各种聚类算法的比较的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0kVLzM.html" rel="bookmark">【转载】聚类算法小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				聚类算法总结:---------------------------------------------------------聚类算法的种类: 基于划分聚类算法(partition clustering) k-means: 是一种典型的划分聚类算法,它用一个聚类的中心来代表一个簇,即在迭代过程中选择的聚点不一定是聚类中的一个点,该算法只能处理数值型数据 k-modes: K-Means算法的扩展,采用简单匹配方法来度量分类型数据的相似度 k-prototypes: 结合了K-Means和K-M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47EYDR0.html" rel="bookmark">转载： scikit-learn学习之K-means聚类算法与 Mini Batch K-Means算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版权声明:&lt;—— 本文为作者呕心沥血打造,若要转载,请注明出处@http://blog.csdn.net/gamer_gyt &lt;—— 目录(?)[+] ====================================================================== 本系列博客主要参考 Scikit-Learn 官方网站上的每一个算法进行,并进行部分翻译,如有错误,请大家指正 转载请注明出处 ======================================			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/138bqWM.html" rel="bookmark">《机器学习实战》之K-均值聚类算法的python实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;机器学习实战&gt;之K-均值聚类算法的python实现 最近的项目是关于&quot;基于数据挖掘的电路故障分析&quot;,项目基本上都是师兄们在做,我只是在研究关于项目中用到的如下几种算法:二分均值聚类.最近邻分类.基于规则的分类器以及支持向量机.基于项目的保密性(其实也没有什么保密的,但是怕以后老板看到我写的这篇博文,所以,你懂的),这里就不介绍&quot;基于数据挖掘的电路故障分析&quot;的思路了. 废话不多说了,开始正题哈. 基本K-均值聚类算法 基本K均值算法的基本思路为:首先选择			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OmXZ8M.html" rel="bookmark">《机器学习实战》之二分K-均值聚类算法的python实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;机器学习实战&gt;之二分K-均值聚类算法的python实现 上面博文介绍了K-均值聚类算法及其用python实现,上篇博文中的两张截图,我们可以看到,由于K-均值聚类算法中由于初始质心的选取,会造成聚类的局部最优,并不是全局最优,因此,会造成聚类的效果并不理想,为克服K-均值算法收敛于局部最小值的问题,就有了二分K-均值算法. 二分K-均值聚类算法 二分K均值算法是基本K均值算法的直接扩充,其基本思想是:为了得到K个簇,首先将所有点的集合分裂成两个簇,然后从这些簇中选取一个继续分裂,迭代直到产生			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M687lG3.html" rel="bookmark">K-Means 聚类算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				K-Means 概念定义: K-Means 是一种基于距离的排他的聚类划分方法. 上面的 K-Means 描述中包含了几个概念: 聚类(Clustering):K-Means 是一种聚类分析(Cluster Analysis)方法.聚类就是将数据对象分组成为多个类或者簇 (Cluster),使得在同一个簇中的对象之间具有较高的相似度,而不同簇中的对象差别较大. 划分(Partitioning):聚类可以基于划分,也可以基于分层.划分即将对象划分成不同的簇,而分层是将对象分等级. 排他(Exclu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vv1Kj3.html" rel="bookmark">挑子学习笔记：两步聚类算法（TwoStep Cluster Algorithm）&mdash;&mdash;改进的BIRCH算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请标明出处:http://www.cnblogs.com/tiaozistudy/p/twostep_cluster_algorithm.html 两步聚类算法是在SPSS Modeler中使用的一种聚类算法,是BIRCH层次聚类算法的改进版本.可以应用于混合属性数据集的聚类,同时加入了自动确定最佳簇数量的机制,使得方法更加实用.本文在学习文献[1]和“IBM SPSS Modeler 15 Algorithms Guide”的基础上,融入了自己的理解,更详尽地叙述两步聚类算法的流程和细节.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ON21g0.html" rel="bookmark">谱聚类算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载自:[聚类算法]谱聚类(Spectral Clustering) 1.问题描述 谱聚类(Spectral Clustering, SC)是一种基于图论的聚类方法——将带权无向图划分为两个或两个以上的最优子图(sub-Graph),使子图内部尽量相似,而子图间距离尽量距离较远,以达到常见的聚类的目的. 对于图的相关定义如下: 对于无向图G = (V,E),V表示顶点集合,即样本集合,即一个顶点为一个样本:E表示边集合. 设样本数为n,即顶点数为n. 权重矩阵:W,为n*n的矩阵,其值wi,j为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38wpoK0.html" rel="bookmark">发表在 Science 上的一种新聚类算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今年 6 月份,Alex Rodriguez 和 Alessandro Laio 在 Science 上发表了一篇名为&lt;Clustering by fast search and find of density peaks&gt;的文章,为聚类算法的设计提供了一种新的思路.虽然文章出来后遭到了众多读者的质疑,但整体而言,新聚类算法的基本思想很新颖,且简单明快,值得学习.这个新聚类算法的核心思想在于对聚类中心的刻画上,本文将对该算法的原理进行详细介绍,并对其中的若干细节展开讨论. 最后,附上作者在补充			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rkPeb4.html" rel="bookmark">续前篇---数据挖掘之聚类算法k-mediod&lpar;PAM&rpar;原理及实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇博文中介绍了聚类算法中的kmeans算法. 无可非议kmeans由于其算法简单加之分类效率较高 已经广泛应用于聚类应用中. 然而kmeans并非十全十美的.其对于数据中的噪声和 孤立点的聚类带来的误差也是让人头疼的. 于是一种基于Kmeans的改进算法kmediod应运而生. kmediod和Kmeans算法核心思想大同小异,但是最大 的不同是在修正聚类中心的时候,kmediod是计算 类簇中除开聚类中心的每点到其他所有点 的聚类的最小值来优化新的聚类中心.正是 这一差别使得kmediod			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41L1J3.html" rel="bookmark" class="title">《人月神话》读后感</a>
					<div>
						这个学期选择软件冲程这门课我受益匪浅.在这段学习的过程中读完了一本人月神话则是我认为最有价值的经理. 在软件领域中,很少能有像&lt;人月神话&gt;一样具有深远影响力和畅销不衰的著作.作者布鲁克斯被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3ry610.html" rel="bookmark" class="title">手机卫士09&lowbar;应用程序四种查看&lowbar;ListView小标题&lowbar;进程管理</a>
					<div>
						1.悬浮窗体的功能实现: 1.1.应用程序的卸载: 包安装器 packageInstall,包卸载packageruninstall intent.setData(Uri.pare(“package: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgG820.html" rel="bookmark" class="title">CodeForces 377B 优先队列 &plus; 二分</a>
					<div>
						题目: 呵呵,这破题目搞了我两个小时,首先题意就有点怕怕的,n个人,具有解决bug的能力,一天只能解决一个,m个bug,bug具有一个难度,只有某个人能力大于等于这个难度才可以解决,请n个人解决一个问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZVBV83.html" rel="bookmark" class="title">Linux之date</a>
					<div>
						近期学习需要根据不同的日期的数据,做同样的操作,如果一遍遍的手动操作,太笨重了,有些愚公的味道.所以就想着在shell下,将时间当做变量,然后重复其他的操作. 这里的需求是得到从某天(例如:2014- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pewZoM.html" rel="bookmark" class="title">解决ubuntu14&period;04下Qt 5&period;3&period;1下的QtCreator fcitx&comma;ibus不能输入中文</a>
					<div>
						http://my.oschina.net/u/219482/blog/341452 感谢作者 ubuntu 14.04从Qt官网下载的最新版qt,安装过程很顺利,但却发现没办法输入中文(我用的是 f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p58KRM.html" rel="bookmark" class="title">对话框的按键处理 PreTranslateMessage、OnKeyDown和OnChar</a>
					<div>
						对话框的按键处理 PreTranslateMessage.OnKeyDown和OnChar 1.MFC对话框不能响应OnKeyDown和OnChar函数(1)现象  在MFC的对话框中,映射了WM_C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPXvV0.html" rel="bookmark" class="title">jQuery 过滤选择器</a>
					<div>
						jQuery 选择器(一) 1.ID选择器根据控件ID获取jQeruy,相当于javascript的getelementById.使用方法:$(&quot;#myid&quot;),获取ID等于myi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myl1VA4.html" rel="bookmark" class="title">员工辞职是为了炒老板鱿鱼，而不是不满意公司</a>
					<div>
						今天我得知我的一个好朋友辞职了,他在一家很知名的科技公司工作,很多人削尖脑袋想进这家公司.我问他为什么,本来预期的回答可能是&quot;我需要更大的挑战&quot;,或&quot;这个职位已经容不下我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZmKLM.html" rel="bookmark" class="title">SVN 客户端的安装与配置</a>
					<div>
						127.0.0.1这个IP地址代表连接本机,其实https://127.0.0.1:443/svn/Test/和https://ZhongZhenhua-PC/svn/Test/是一样的,因为我这里S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm9qO1M.html" rel="bookmark" class="title">mac 部署python环境</a>
					<div>
						Python中最连接Mysql常用的驱动是 mysql-python :mysql的C语言的驱动 mysql-connector:msql官方的驱动 pymysql:python语言的驱动 我这里安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzEVrO4.html" rel="bookmark" class="title">分布交互式CosiMate 8&period;1 2016&period;04多学科协同仿真计算平台</a>
					<div>
						分布交互式CosiMate 8.1 2016.04多学科协同仿真计算平台 电磁人体天线模型管理分析工具EMCoS Studio 2017 优化工具Keysight 89600 VSA WLA 22.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l76KBM.html" rel="bookmark" class="title">ZooKeeper 集群的安装、配置---Dubbo 注册中心</a>
					<div>
						ZooKeeper 集群的安装.配置.高可用测试 Dubbo 注册中心集群 Zookeeper-3.4.6 Dubbo 建议使用 Zookeeper 作为服务的注册中心. Zookeeper 集群中只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEzlb4.html" rel="bookmark" class="title">POJ 1161 Walls&lpar;最短路&plus;枚举&rpar;</a>
					<div>
						POJ 1161 Walls(最短路+枚举) 题目背景 题目大意:题意是说有 n个小镇,他们两两之间可能存在一些墙(不是每两个都有),把整个二维平面分成多个区域,当然这些区域都是一些封闭的多边形(除了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OyDb9M.html" rel="bookmark" class="title">WebApi调试中遇到的一些问题</a>
					<div>
						今天对WebApi的项目进行了一些调试,得到了一些教训,记录下来,也让大家少花些时间在这些无用功上面. (1)Fiddler 进行Post参数提交 刚开始,都是使用的Fiddler对服务进行调试,一直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgRZ6R4.html" rel="bookmark" class="title">python成长之路17</a>
					<div>
						一:web框架的本质,对于所有的Web应用,本质上其实就是一个socket服务端,用户的浏览器其实就是一个socket客户端. 1.1:python实现: #!/usr/bin/env python  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBWoKE0.html" rel="bookmark" class="title">数组的Add和AddRange区别</a>
					<div>
						Add:将指定的对象添加到……中 AddRange:向……末尾,添加数组 在群体操作时,使用AddRange取代Add 用AddRange可以让我们要加入的东西一次性加入,而不要每次都加一次,这样显然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4N1OJG3.html" rel="bookmark" class="title">machine learning-----&amp;gt&semi;什么是机器学习</a>
					<div>
						1.概述: 学习一门学问的第一步就是要了解这门学问到底是什么,它可以被用来干什么. 本文罗列了学习machine learning的过程中看到的一些写得比较好的文章以及读完这些文章之后对机器学习的初步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjpwR0.html" rel="bookmark" class="title">设计模式之笔记--装饰模式（Decorator）</a>
					<div>
						装饰模式(Decorator) 定义 装饰模式(Decorator),动态地给一个对象添加一些额外的职责,就增加功能来说,装饰模式比生成子类更为灵活. 类图 描述 Component:被装饰者和装饰者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38kbQy0.html" rel="bookmark" class="title">C语言数据输入与输出</a>
					<div>
						1 概论 C语言提供了跨平台的数据输入输出函数scanf()和printf()函数,它们可以按照指定的格式来解析常见的数据类型,例如整数,浮点数,字符和字符串等等.数据输入的来源可以是文件,控制台以及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myzorm0.html" rel="bookmark" class="title">安装完jdk配置环境变量</a>
					<div>
						(1)新建-&gt;变量名&quot;JAVA_HOME&quot;,变量值&quot;C:\Java\jdk1.8.0_05&quot;(即JDK的安装路径) (2)编辑-&gt;变量名&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
